<?php 

function _page_template_options(){
	
	$page_templates = array(
		'coming' => array(
			array(
				'title' => __('Comingsoon'),
				'id'   => 'coming_style_1',
				'img'   => asset('/themes/frontend/plexify/images/page-template/coming-soon.png'),
				'param'  => array()
			)
		),
		'maintenance' => array(
			array(
				'title' => __('Maintenance'),
				'id'   	=> 'maintenance_style_1',
				'img'   => asset('/themes/frontend/plexify/images/page-template/site-down-for-maintain.png'),
				'param'  => array()
			)
		),
		'error' => array(
			array(
				'title' => __('Error'),
				'id'   => 'error_style_1',
				'img'   => asset('/themes/frontend/plexify/images/page-template/error-404.png'),
				'param'  => array()
			),
		)
	);
	return $page_templates;
}

function _post_layouts_options(){

	$post_layouts = array(
		array(
			'id'   => 'post_slider_2',
			'layout_param' => array(
		    	'title' => __('Slider Post 2'),
		    	'img' => asset('themes/frontend/plexify/images/post-layout/slider-post-2.png')
		    ),
			'param'  => array()
		),
	);

	return $post_layouts;
}

function _post_listing_options(){
	$post_layouts = array(
		array(
			"id"   => "post_listing_1",
			"listing_param" =>  array(
				"title" => 'Post Listing 1',
				"img"   => asset('images/theme-options-images/post-listing/layout-1.png')
			),
			"param"  => array()
		),
		array(
			"id"   => "post_listing_2",
			"listing_param" => array(
				"title" => 'Post Listing 2',
				"img"   => asset('images/theme-options-images/post-listing/layout-2.png')
			),
			"param"  => array()
		),
	);

	return $post_layouts;
}

function _services_layouts_options(){

	$services_layouts = array(
		array(
			'id'   => 'style_1',
			'layout_param' => array(
		    	'title' => __('Layout 1'),
		    	'img' => asset('themes/frontend/plexify/images/service-layout/service-style-1.png')
		    ),
			'param'  => array()
		),
	);

	return $services_layouts;
}

function _teams_layouts_options(){

	$services_layouts = array(
		array(
			'id'   => 'style_1',
			'layout_param' => array(
		    	'title' => __('Layout 1'),
		    	'img' => asset('themes/frontend/plexify/images/team-layout/team-style-1.png')
		    ),
			'param'  => array()
		),
	);

	return $services_layouts;
}

function _header_style_options(){
	$header_styles = array(
		array(
			"id"   => "header_1",
			'img_param' => array(
				"title" => __('Style - Header 1'),
				"img"   => asset('/themes/frontend/plexify/images/header/header-1.png')
			),
			"param"  => array(
				'class' => '',
				'social_link' => 1,
				'search' => 1,
				'sidebar' => 0,
				'call_to_action_button' => 1,
				'social_links' => 6,
				'top_bar' => 0,
				'phone_number' => 0,
				'email_address' => 0,
				'contact_info' => 1,
				'color_mode' => 1,
				'hamburger' => 1,
				'theme_button' => 1,
				'container_layout' => 1,
			)
		),
		array(
			"id"   => "header_2",
			'img_param' => array(
				"title" => __('Style - Header 2'),
				"img"   => asset('/themes/frontend/plexify/images/header/header-2.png')
			),
			"param"  => array(
				'class' => '',
				'social_link' => 0,
				'search' => 1,
				'sidebar' => 0,
				'call_to_action_button' => 1,
				'social_links' => 6,
				'top_bar' => 0,
				'phone_number' => 0,
				'email_address' => 0,
				'contact_info' => 0,
				'color_mode' => 0,
				'theme_button' => 1,
				'container_layout' => 1,
			)
		),
		array(
			"id"   => "header_3",
			'img_param' => array(
				"title" => __('Style - Header 3'),
				"img"   => asset('/themes/frontend/plexify/images/header/header-3.png')
			),
			"param"  => array(
				'class' => '',
				'social_link' => 0,
				'search' => 0,
				'sidebar' => 0,
				'call_to_action_button' => 1,
				'social_links' => 6,
				'top_bar' => 0,
				'phone_number' => 1,
				'email_address' => 0,
				'contact_info' => 0,
				'color_mode' => 0,
				'theme_button' => 1,
				'container_layout' => 0,
			)
		),
		array(
			"id"   => "header_4",
			'img_param' => array(
				"title" => __('Style - Header 4'),
				"img"   => asset('/themes/frontend/plexify/images/header/header-4.png')
			),
			"param"  => array(
				'class' => '',
				'social_link' => 0,
				'search' => 0,
				'sidebar' => 0,
				'call_to_action_button' => 1,
				'social_links' => 6,
				'top_bar' => 0,
				'phone_number' => 0,
				'email_address' => 0,
				'contact_info' => 0,
				'color_mode' => 0,
				'theme_button' => 1,
				'container_layout' => 0,
			)
		),
	);

	return $header_styles;
}

function _footer_style_options(){
	$footer_styles = array(
		array(
			"title" => __('Footer 1'),
			"id"   => "footer_template_1",
			'img_param' => array(
				"title" => __('Footer Template 1'),
				"img"   => asset('/themes/frontend/plexify/images/footer/footer-1.png'),
			),
			"param"  => array(
				'social_link' => 1,
				'copyright'	=> 1,
				'powered_by'	=> 0,
				'top_bar'  => 0,
				'sections'	=> 3, 
				'bottom_bar'  => 0,
				'bg_image'	=> 0,
				'informative_field'	=> 0,
				'newsletter' => 0,
				'contact_buttons' => 0,
				'call_to_action_button' => 1,
				'footer_image' => 1,
				'footer_title' => 1,
				'footer_marquee_tags' => 0,
			)
		),
		array(
			"title" => __('Footer 2'),
			"id"   => "footer_template_2",
			'img_param' => array(
				"title" => __('Footer Template 2'),
				"img"   => asset('/themes/frontend/plexify/images/footer/footer-2.png'),
			),
			"param"  => array(
				'social_link' => 0,
				'copyright'	=> 1,
				'powered_by'	=> 0,
				'top_bar'  => 0,
				'sections'	=> 4,
				'bottom_bar'  => 0,
				'bg_image'	=> 0,
				'informative_field'	=> 0,
				'newsletter' => 1,
				'contact_buttons' => 0,
				'call_to_action_button' => 0,
				'footer_image' => 0,
				'footer_title' => 1,
				'footer_marquee_tags' => 0,
			)
		),
		array(
			"title" => __('Footer 3'),
			"id"   => "footer_template_3",
			'img_param' => array(
				"title" => __('Footer Template 3'),
				"img"   => asset('/themes/frontend/plexify/images/footer/footer-3.png'),
			),
			"param"  => array(
				'social_link' => 0,
				'copyright'	=> 1,
				'powered_by'	=> 0,
				'top_bar'  => 0,
				'sections'	=> 4, 
				'bottom_bar'  => 1,
				'bg_image'	=> 0,
				'informative_field'	=> 0,
				'newsletter' => 0,
				'contact_buttons' => 0,
				'call_to_action_button' => 1,
				'footer_image' => 0,
				'footer_title' => 1,
				'footer_marquee_tags' => 0,
			)
		),
		array(
			"title" => __('Footer 4'),
			"id"   => "footer_template_4",
			'img_param' => array(
				"title" => __('Footer Template 4'),
				"img"   => asset('/themes/frontend/plexify/images/footer/footer-4.png'),
			),
			"param"  => array(
				'social_link' => 0,
				'copyright'	=> 1,
				'powered_by'	=> 0,
				'top_bar'  => 0,
				'sections'	=> 4, 
				'bottom_bar'  => 0,
				'bg_image'	=> 0,
				'informative_field'	=> 0,
				'newsletter' => 0,
				'contact_buttons' => 0,
				'call_to_action_button' => 0,
				'footer_image' => 0,
				'footer_title' => 1,
				'footer_marquee_tags' => 1,
			)
		),
		array(
			"title" => __('Footer 5'),
			"id"   => "footer_template_5",
			'img_param' => array(
				"title" => __('Footer Template 5'),
				"img"   => asset('/themes/frontend/plexify/images/footer/footer-5.png'),
			),
			"param"  => array(
				'social_link' => 1,
				'copyright'	=> 1,
				'powered_by'	=> 0,
				'top_bar'  => 0,
				'sections'	=> 5, 
				'bottom_bar'  => 0,
				'bg_image'	=> 0,
				'informative_field'	=> 0,
				'newsletter' => 0,
				'contact_buttons' => 0,
				'call_to_action_button' => 0,
				'footer_image' => 0,
				'footer_title' => 0,
				'footer_marquee_tags' => 0,
			)
		),
		array(
			"title" => __('Footer 6'),
			"id"   => "footer_template_6",
			'img_param' => array(
				"title" => __('Footer Template 6'),
				"img"   => asset('/themes/frontend/plexify/images/footer/footer-6.png'),
			),
			"param"  => array(
				'social_link' => 0,
				'copyright'	=> 1,
				'powered_by'	=> 0,
				'top_bar'  => 0,
				'sections'	=> 4, 
				'bottom_bar'  => 0,
				'bg_image'	=> 0,
				'informative_field'	=> 0,
				'newsletter' => 0,
				'contact_buttons' => 0,
				'call_to_action_button' => 0,
				'footer_image' => 0,
				'footer_title' => 1,
				'footer_marquee_tags' => 0,
			)
		),
	);

	return $footer_styles;
}

function _theme_style_options(){
	$theme_styles = array(
		array(
			"title" => __('Neon Green'),
			"id"   => "skin-1",
			'img_param' => array(
				"title" => __('Neon Green'),
				"img"   => asset('/themes/frontend/plexify/images/theme/neon-green.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Lime Green'),
			"id"   => "skin-2",
			'img_param' => array(
				"title" => __('Lime Green'),
				"img"   => asset('/themes/frontend/plexify/images/theme/lime-green.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Pastel Green'),
			"id"   => "skin-3",
			'img_param' => array(
				"title" => __('Pastel Green'),
				"img"   => asset('/themes/frontend/plexify/images/theme/pastel-green.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Royal Purple'),
			"id"   => "skin-4",
			'img_param' => array(
				"title" => __('Royal Purple'),
				"img"   => asset('/themes/frontend/plexify/images/theme/royal-purple.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Highlight Green'),
			"id"   => "skin-5",
			'img_param' => array(
				"title" => __('Highlight Green'),
				"img"   => asset('/themes/frontend/plexify/images/theme/highlight-green.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Orange Red'),
			"id"   => "skin-6",
			'img_param' => array(
				"title" => __('Orange Red'),
				"img"   => asset('/themes/frontend/plexify/images/theme/orange-red.png'),
			),
			"param"  => array()
		),
	);

	return $theme_styles;
}

function _page_banner_layout_options(){
	$banner_styles = array(
		array(
			"title" => __('Banner 1'),
			"id"   => "banner_layout_1",
			'img_param' => array(
				"title" => __('Banner Layout 1'),
				"img"   => asset('/themes/frontend/plexify/images/page-banner/banner-layout/banner1.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Banner 2'),
			"id"   => "banner_layout_2",
			'img_param' => array(
				"title" => __('Banner Layout 2'),
				"img"   => asset('/themes/frontend/plexify/images/page-banner/banner-layout/banner2.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Banner 3'),
			"id"   => "banner_layout_3",
			'img_param' => array(
				"title" => __('Banner Layout 3'),
				"img"   => asset('/themes/frontend/plexify/images/page-banner/banner-layout/banner3.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Banner 4'),
			"id"   => "banner_layout_4",
			'img_param' => array(
				"title" => __('Banner Layout 4'),
				"img"   => asset('/themes/frontend/plexify/images/page-banner/banner-layout/banner4.png'),
			),
			"param"  => array()
		),
		array(
			"title" => __('Banner 5'),
			"id"   => "banner_layout_5",
			'img_param' => array(
				"title" => __('Banner Layout 5'),
				"img"   => asset('/themes/frontend/plexify/images/page-banner/banner-layout/banner5.png'),
			),
			"param"  => array()
		),
	);

	return $banner_styles;
}


?>